Subject: bug#33542: Strange tarball download error on Hydra

From: Mark H Weaver <[email-masked]>
Date: Wed, 28 Nov 2018 13:33:27 -0500

Mark H Weaver <[email-masked]> writes:

> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
> failed because the tarball download failed.  See below for the build
> log.  Strangely, it was unable to find the (guix base16) module.

I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
of (guix base16) during downloads, and that the copies of Guix currently
running on the armhf build slaves is too old to include (guix base16).

I don't have time to deal with this right now, but I'll take a look in
about 12 hours or so.  Unfortunately, I expect that a great many armhf
builds will fail in the meantime, including all of the kernel updates.

        Mark